### DB->set_re_pad

`

###

    #include <db.h>

    int
    DB->set_re_pad(DB *db, int re_pad);

    int
    DB->get_re_pad(DB *db, int *re_padp);

### Description: DB->set_re_pad

Set the padding character for short, fixed-length records for the Queue and Recno access methods.

If no pad character is specified, <space> characters (that is, ASCII 0x20) are used for padding.

The DB->set_re_pad method configures a database, not only operations performed using the specified DB handle.

The DB->set_re_pad method may not be called after the DB->open method is called. If the database already exists when DB->open is called, the information specified to DB->set_re_pad will be ignored.

The DB->set_re_pad method returns a non-zero error value on failure and 0 on success.

### Parameters

re_pad
  The re_pad parameter is the pad character for fixed-length records for the Queue and Recno access methods.

### Errors

The DB->set_re_pad method may fail and return one of the following non-zero errors:

EINVAL
  If the method was called after DB->open was called; or if an invalid flag value or parameter was specified.

### Description: DB->get_re_pad

The DB->get_re_pad method returns the pad character.

The DB->get_re_pad method may be called at any time during the life of the application.

The DB->get_re_pad method returns a non-zero error value on failure and 0 on success.

### Parameters

re_padp
  The DB->get_re_pad method returns the pad character in re_padp.

### Class

DB

### See Also

Databases and Related Methods`

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.